services:
  alist:
    container_name: ${CONTAINER_NAME}
    restart: always
    networks:
      - opsmind-network
    ports:
      - "${PANEL_APP_PORT_HTTP}:5244"
      - "${PANEL_APP_PORT_S3}:5246"
    volumes:
      - ./data/data:/opt/alist/data
      - ./data/mnt:/mnt/data
    environment:
      - PUID=0
      - PGID=0
      - UMASK=022
    image: xhofe/alist:v3.57.0
    labels:  
      createdBy: "Apps"
networks:  
  opsmind-network:  
    external: true

